Skip to main content
POST
/
identity
/
eligible-checks
Resolve eligible identity checks for a client
curl --request POST \
  --url https://api.artu.ai/identity/eligible-checks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
[
  {
    "check": "<string>",
    "displayName": "<string>",
    "eligible": true,
    "missingFields": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json

Resolve which identity checks are eligible for a given client.

clientId
string<uuid>
required

Response

200 - application/json

OK

check
string
required
displayName
string
required
Minimum string length: 1
eligible
boolean
required
missingFields
string[]
required